//+------------------------------------------------------------------+
//|                                           1pip V.4.2.mq4 |
//|                      Copyright  2006, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+

#property copyright "Copyright  2006, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

extern double Lots=0.1;
extern double Margin_for_lot=2000;
extern bool =false;
extern double __=1;

double Bid_prev=0,Bid_curr=0,Ask_prev=0,Ask_curr=0;
double Buy_profit=0,Sell_profit=0;
int ticket,cnt;

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----

   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()  {
   
   
   if(GlobalVariableGet("trade_allow")<0)return(0);
   
   Bid_curr=NormalizeDouble(Bid,Digits);Ask_curr=NormalizeDouble(Ask,Digits);
   Buy_profit=(Bid_curr-Ask_prev);
   Sell_profit=(Bid_prev-Ask_curr);
   int Slippage=NormalizeDouble((Ask-Bid)/Point,0);
   
   if(Buy_profit>0) {
      ticket=OrderSend(Symbol(),OP_BUY,Lots,Ask_curr,Slippage,0,0,"",5326,0,Red);
      Print("Bid_prev = ",Bid_prev,"; Ask_prev = ",Ask_prev,"; Bid_curr = ",Bid_curr,"; Ask_curr = ",Ask_curr,"; Buy_profit = ",Buy_profit," > 0");
      if(ticket<1) {
         Print("  Buy  , Error = ",GetLastError());
      }
   }
   
   if(Sell_profit>0) {
      ticket=OrderSend(Symbol(),OP_SELL,Lots,Bid_curr,Slippage,0,0,"",5326,0,Blue);
      Print("Bid_prev = ",Bid_prev,"; Ask_prev = ",Ask_prev,"; Bid_curr = ",Bid_curr,"; Ask_curr = ",Ask_curr,"; Sell_profit = ",Sell_profit," > 0");
      if(ticket<1) {
         Print("  SELL  , Error = ",GetLastError());
      }
   }

   for(cnt=0;cnt<OrdersTotal();cnt++) {
      OrderSelect(cnt,SELECT_BY_POS,MODE_TRADES);
      if(OrderMagicNumber()==5326 && OrderSymbol()==Symbol() ) {   
         if(OrderType()==OP_BUY) {//  BUY    
            ticket=OrderClose(OrderTicket(),OrderLots(),Bid,100,Red);// 
            if(ticket<1) {
               Print("  BUY  , Error = ",GetLastError());
            }
         }
         if(OrderType()==OP_SELL) {//  SELL    
            ticket=OrderClose(OrderTicket(),OrderLots(),Ask,100,Blue);// 
            if(ticket<1) {
               Print("  SELL  , Error = ",GetLastError());
            }
         }
      }
   }

   if(==true) {
      double Lots_Max = MarketInfo(Symbol(), MODE_MAXLOT);
      double Lots_Min = MarketInfo(Symbol(), MODE_MINLOT);
      double Lots_Step= MarketInfo(Symbol(), MODE_LOTSTEP);
      Lots=MathFloor(__*AccountFreeMargin()/Margin_for_lot/Lots_Step)*Lots_Step;//  MoneyManagement  -    
      Lots=MathMax(Lots_Max, MathMin(Lots_Min, Lots));
   }
   Bid_prev=Bid_curr;
   Ask_prev=Ask_curr;

   return(0);
  }
//+------------------------------------------------------------------+